/* VSTDemo1.java */
package sample;

import java.io.*;

class VSTDemo1 {
  public static void main(String[] args) {
    // input̏
    Reader input = null;
    if (args.length == 0) {
      input = new InputStreamReader(System.in);
    } else {
      try {
        input = new FileReader(args[0]);
      } catch (Exception e) {
        System.err.println(e);
        System.exit(1);
      }
    }
    // parseȑ
    VSTParserPI parser;
    // 
    VSTLexerCmp lexerCmp = new VSTLexerCmp();
    VSTParserCmp parserCmp = new VSTParserCmp();
    // CO
    lexerCmp.setInput(input);
    parserCmp.lexer = lexerCmp.lexer;
    parser = parserCmp.parser;
    // s
    try {
      parser.parse();
    } catch (Exception e) {
      System.err.println(e);
      System.exit(1);
    }
    System.exit(0);
  }
}
