/* VSTLexerCmp.java */
// VerySimpleTemplates̃NT[ER|lg
package sample;

import java.io.*;

/* NT[i͌nj*/
public class VSTLexerCmp implements VSTLexerPI {
  /* -- componet ports */
  /* @Provide */
  public final VSTLexerPI lexer;
  /* @Require */
  public void setInput(Reader reader) {
    input =  new PushbackReader(reader);
  }
  /* @Require */
  public void setInput(InputStream stream) {
    setInput(new InputStreamReader(stream));
  }
  /* -- end pors */

  private PushbackReader input;

  public VSTLexerCmp() {
    lexer = this;
  }

  public VSTToken nextToken() throws IOException {
    int c = input.read();
    switch (c) {
    case -1:
      return new VSTToken(VSTToken.Kind.EOF, "<EOF>");
    case '{':
      int c2 = input.read(); // 1ǂ
      if (c2 == '{') // GXP[vꂽg
        return new VSTToken(VSTToken.Kind.TEXT, "{");
      if (c2 != -1) input.unread((char)c2); // ǂݕ߂
      return new VSTToken(VSTToken.Kind.L_BRACE, "<L_BRACE>");
    case '}':
      return new VSTToken(VSTToken.Kind.R_BRACE, "<R_BRACE>");
    default:
      input.unread((char)c);
      return new VSTToken(VSTToken.Kind.TEXT, readText());
    }
  }
  
  // EOFA܂'{''}'o܂ŃeLXgǂ
  private String readText() throws IOException {
    StringBuilder sb = new StringBuilder();
    while (true) {
      int c = input.read();
      if (c == -1 ) {
        break;
      }
      if (c == '{' || c == '}') {
        input.unread((char)c);
        break;
      }
      sb.append((char)c);
    }
    return sb.toString();
  }
}
