/* VSTMain1.java */
package sample;

import java.io.*;
import java.util.*;
import sample.model.*;

public class VSTMain1 implements ExitReportHandler {
  public static void main(String[] args) {
    if (args.length < 2) {
      System.err.println("this command requires 2 arguments.");
      System.exit(1);
    }

    String inputName = args[0];
    String contextName = args[1];
    // evaluatoȑ
    TabFileEvaluator evaluator = new TabFileEvaluator();
    try {
      evaluator.load(contextName);
    } catch (Exception e) {
      System.err.println(e);
      System.exit(1);
    }
    // starteȑ
    Startable starter;
    // 
    VSTMainCmp mainCmp = new VSTMainCmp();
    ExitReportHandler reportHandler = new VSTMain0();
    // CO
    mainCmp.inputName = inputName;
    mainCmp.evaluator = evaluator;
    mainCmp.reportHandler = reportHandler;
    starter = mainCmp.starter;
    // s
    try {
      starter.start();
    } catch (Exception e) {
      System.err.println(e);
      System.exit(1);
    }
    System.exit(0);
  }
  public void aborted(int exitCode, String msg, Throwable cause) {
    System.err.println(msg);
    System.exit(exitCode);
  }
  public void finished(int exitCode) {
    ;
  }
}
