/* VSTMain2.java */
package sample;

import java.io.*;
import java.util.*;
import sample.model.*;
import sample.misc.FileContentEvaluator;

public class VSTMain2 implements ExitReportHandler {

  public static void main(String[] args) {
    String inputName;
    Startable starter;

    if (args.length == 0) {
      inputName = null;
    } else {
      inputName = args[0];
    }
    // 
    Evaluator evaluator = new FileContentEvaluator();
    VSTMainCmp mainCmp = new VSTMainCmp();
    ExitReportHandler reportHandler = new VSTMain0();
    // CO
    mainCmp.inputName = inputName;
    mainCmp.evaluator = evaluator;
    mainCmp.reportHandler = reportHandler;
    starter = mainCmp.starter;
    // s
    try {
      starter.start();
    } catch (Exception e) {
      System.err.println(e);
      System.exit(1);
    }
    System.exit(0);
  }

  public void aborted(int exitCode, String msg, Throwable cause) {
    System.err.println(msg);
    System.exit(exitCode);
  }
  public void finished(int exitCode) {
    ;
  }
}
