/* FileContentEvaluator.java */
package sample.misc;

import java.io.*;
import sample.*;

public class FileContentEvaluator implements Evaluator {
  public String eval(String fname) {
    String s;
    try {
      Reader r = new FileReader(new File(fname));
      StringBuilder sb = new StringBuilder();
      int c;
      while ((c = r.read()) != -1) {
	sb.append((char)c);
      }
      s = sb.toString();
    } catch (Exception e) {
      return null;
    }
    return s;
  }
}

