/* VSTDemo4.java */
package sample;

import java.io.*;
import sample.misc.TokenChecker;

class NullLexer implements VSTLexerPI {
  public VSTToken nextToken() throws IOException {
    return new VSTToken(VSTToken.Kind.TEXT, null);
  }
}

class VSTDemo4 {
  public static void main(String[] args) {
    // input̏
    Reader input = null;
    if (args.length == 0) {
      input = new InputStreamReader(System.in);
    } else {
      try {
        input = new FileReader(args[0]);
      } catch (Exception e) {
        System.err.println(e);
        System.exit(1);
      }
    }
    // parseȑ
    VSTParserPI parser;
    // 
    VSTParserCmp parserCmp = new VSTParserCmp();
    TokenChecker checker = new TokenChecker();
    // CO
    checker.lexerReq = new NullLexer();
    parserCmp.lexer = checker.lexerPro;
    parser = parserCmp.parser;
    // s
    try {
      parser.parse();
    } catch (Exception e) {
      System.err.println(e);
      System.exit(1);
    }
    System.exit(0);
  }
}
